
Redmine - Feature #1061

Subversion per-directory access rights management from RedMine?

2008-04-15 10:10 - Martin Kirchgessner

Status: New Start date: 2008-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'm using RedMine with more than 10 projects, all with a Subversion repository accessed through SSH. I am trying to enforce some

security with svn's path-based access control: each repository has its own authz file like:

[groups]

admins = damien, martin, frederic

[/]

@admins = rw

* = 

 These files are actually following redmine's roles organization, so I wondered if it would be possible to let Redmine edit directly this

file for each project?

History

#1 - 2008-04-17 00:37 - Jean-Philippe Lang

There's a solution for handling svn access right described here that uses apache+mod_dav. But it does not manage per-directory access rights.

That's an interesting feature and could be planned as a Redmine plugin.

#2 - 2011-03-24 07:40 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

#3 - 2012-06-27 15:23 - Christian Jacobs

that would be just great.

Here's a link of my forum entry with a very similar challenge.

http://www.redmine.org/boards/2/topics/31622

Christian
